curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"status": "cancelled_unpaid",
"discount_amount": 0,
"untaxed_amount_without_fees": 200,
"tax_amount_without_fees": 42,
"total_without_fees": 242,
"current_untaxed_amount": 200,
"current_tax_amount": 42,
"current_total": 242,
"untaxed_amount": 200,
"tax_amount": 42,
"total": 242,
"currency": "EUR",
"lines": [
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"quantity": 2,
"current_quantity": 2,
"unit_price": 100,
"description": "T-Shirt - M",
"tax_rate": 21,
"untaxed_amount": 200,
"tax_amount": 42,
"total": 242,
"created_on": "2026-01-15T10:30:00Z",
"variant": {
"id": "<commerce-variant-id>",
"name": "T-Shirt - M",
"sku": "TSHIRT-M",
"categories": []
},
"tax_id": "<commerce-tax-id>",
"discounts": [],
"gift_card": false,
"is_gift": false
}
],
"order_number": "1001",
"channel": "Online store",
"customer": {
"id": "<this-customer-id>",
"first_name": "John",
"last_name": "Doe",
"phone": "+32 2 000 00 00",
"internal_notes": "Preferred contact: accounts payable team.",
"email": "john.doe@example.com"
},
"billing_address": {
"address_type": "main",
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"street": "Example Street",
"number": "123",
"box": "A",
"city": "Brussels",
"postal_code": "1000",
"country": "BE",
"phone": "+32 2 000 00 00",
"email": "john.doe@example.com",
"vat": "BE0000000000"
},
"shipping_address": {
"address_type": "main",
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"street": "Example Street",
"number": "123",
"box": "A",
"city": "Brussels",
"postal_code": "1000",
"country": "BE",
"phone": "+32 2 000 00 00",
"email": "john.doe@example.com",
"vat": "BE0000000000"
},
"created_on": "2026-01-15T10:30:00Z",
"last_updated_on": "2026-01-15T10:30:00Z",
"confirmed_on": "2026-01-15T10:30:00Z",
"delivery_date": "2026-02-14T10:30:00Z",
"cancelled_on": "2026-01-20T10:30:00Z",
"fulfillment": {
"fulfillment_type": "FBA",
"shipping_from_address": {
"address_type": "main",
"name": "<string>",
"number": "<string>",
"box": "<string>",
"phone": "<string>",
"mobile": "<string>",
"email": "<string>",
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
},
"refunded_amount": 0,
"note": "Please leave at the front door.",
"tags": [
"vip"
],
"other_fees": [],
"payment_method_id": "<commerce-payment-method-id>",
"transactions": [],
"payment_methods": [],
"detailed_refunds": [
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"total": 121,
"created_on": "2026-01-15T10:30:00Z",
"reason": "Damaged item",
"order_lines": [],
"other": 0,
"shipping_refunds": [],
"other_fees": [],
"transactions": []
}
],
"returns": []
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The order doesn't exist",
"status": "error",
"error_code": "ERROR_ORDER_NOT_FOUND"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get one specific order
Returns a specific order from the e-commerce system by its unique identifier.
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"status": "cancelled_unpaid",
"discount_amount": 0,
"untaxed_amount_without_fees": 200,
"tax_amount_without_fees": 42,
"total_without_fees": 242,
"current_untaxed_amount": 200,
"current_tax_amount": 42,
"current_total": 242,
"untaxed_amount": 200,
"tax_amount": 42,
"total": 242,
"currency": "EUR",
"lines": [
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"quantity": 2,
"current_quantity": 2,
"unit_price": 100,
"description": "T-Shirt - M",
"tax_rate": 21,
"untaxed_amount": 200,
"tax_amount": 42,
"total": 242,
"created_on": "2026-01-15T10:30:00Z",
"variant": {
"id": "<commerce-variant-id>",
"name": "T-Shirt - M",
"sku": "TSHIRT-M",
"categories": []
},
"tax_id": "<commerce-tax-id>",
"discounts": [],
"gift_card": false,
"is_gift": false
}
],
"order_number": "1001",
"channel": "Online store",
"customer": {
"id": "<this-customer-id>",
"first_name": "John",
"last_name": "Doe",
"phone": "+32 2 000 00 00",
"internal_notes": "Preferred contact: accounts payable team.",
"email": "john.doe@example.com"
},
"billing_address": {
"address_type": "main",
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"street": "Example Street",
"number": "123",
"box": "A",
"city": "Brussels",
"postal_code": "1000",
"country": "BE",
"phone": "+32 2 000 00 00",
"email": "john.doe@example.com",
"vat": "BE0000000000"
},
"shipping_address": {
"address_type": "main",
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"street": "Example Street",
"number": "123",
"box": "A",
"city": "Brussels",
"postal_code": "1000",
"country": "BE",
"phone": "+32 2 000 00 00",
"email": "john.doe@example.com",
"vat": "BE0000000000"
},
"created_on": "2026-01-15T10:30:00Z",
"last_updated_on": "2026-01-15T10:30:00Z",
"confirmed_on": "2026-01-15T10:30:00Z",
"delivery_date": "2026-02-14T10:30:00Z",
"cancelled_on": "2026-01-20T10:30:00Z",
"fulfillment": {
"fulfillment_type": "FBA",
"shipping_from_address": {
"address_type": "main",
"name": "<string>",
"number": "<string>",
"box": "<string>",
"phone": "<string>",
"mobile": "<string>",
"email": "<string>",
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
},
"refunded_amount": 0,
"note": "Please leave at the front door.",
"tags": [
"vip"
],
"other_fees": [],
"payment_method_id": "<commerce-payment-method-id>",
"transactions": [],
"payment_methods": [],
"detailed_refunds": [
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"total": 121,
"created_on": "2026-01-15T10:30:00Z",
"reason": "Damaged item",
"order_lines": [],
"other": 0,
"shipping_refunds": [],
"other_fees": [],
"transactions": []
}
],
"returns": []
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The order doesn't exist",
"status": "error",
"error_code": "ERROR_ORDER_NOT_FOUND"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Include detailed information about categories
true, false Response
Successful Response
Technical id in Chift
"<this-id>"
Technical id in the target software
Show child attributes
Show child attributes
cancelled_unpaid, cancelled, draft, confirmed, shipped, refunded 0
Untaxed amount without fees (e.g. shipping) but with discout. Refunds and returns are not included.
200
Total taxes applied to the order without taxes linked to fees (e.g. shipping).
42
Total of the order without fees (e.g. shipping) but with discount. Refunds and returns are not included.
242
Untaxed amount with discout and any kind of fee (e.g. shipping). After returns, removes and returns.
200
Total taxes applied to the order. After returns, removes and returns.
42
Current total of the order with discount. After returns, removes and returns.
242
Untaxed amount with discout and any kind of fee (e.g. shipping). Refunds and returns are not included.
200
Total taxes applied to the order. Refunds and returns are not included.
42
Total of the order with discount. Refunds and returns are not included.
242
Indicates the currency of the order (e.g. EUR).
"EUR"
Show child attributes
Show child attributes
"1001"
"Online store"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2026-01-15T10:30:00Z"
"2026-01-15T10:30:00Z"
"2026-01-15T10:30:00Z"
"2026-02-14T10:30:00Z"
"2026-01-20T10:30:00Z"
Show child attributes
Show child attributes
0
"Please leave at the front door."
["vip"]
Show child attributes
Show child attributes
Technical id of the payment method in the eCommerce
"<commerce-payment-method-id>"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes